
pfSense Packages - Bug #14532

Error is logged every time a domain in the DNSBL is temporarily unlocked or re-locked

06/30/2023 08:29 PM - Derek Fong

Status: Not a Bug Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: pfBlockerNG Estimated time: 0.00 hour

Target version:    

Plus Target Version:  Affected Plus

Version:

23.05

Affected Version:  Affected

Architecture:

arm64

Description

From the Reports > Alerts tab, when I click the red lock icon to temporarily unlock a domain listed under the DNSBL Python listing,

pfBlockerNG logs an error to py_error.log:

2023-06-30 16:07:41,754|ERROR| [pfBlockerNG]: Failed to parse: pfb_py_zone.txt: []

A similar log entry is generally made for each domain I lock or unlock. Functionality appears otherwise unaffected (i.e., the domain

name gets locked or unlocked as expected), except the presence of errors in py_error.log causes a warning to be displayed in the

pfBlocker dashboard widget. I have both wildcard and regex blocking enabled.

History

#1 - 07/15/2023 06:39 PM - Chris W

- Status changed from New to Not a Bug

What pfSense and pfBlocker versions are you using?

I'm unable to replicate this on pfSense Plus 23.05.1 with pfBlocker 3.2.0_5 (non-devel). Steps taken:

1. Install pfBlocker and let it update the default lists.

2. Deliberately enter links from the StephenBlack hosts list in a browser on a machine using pfSense for DNS. PfBlocker blocks the site and redirects

to its information page as you'd expect.

3. In Reports > Alerts, click the red lock icon to pass that domain. This completes successfully with a banner at the top of the page saying " The

Domain [ incoming.telemetry.mozilla.org ] has been temporarily Unlocked from DNSBL!  ", and there are no errors in py_errors.log

Marking as Not a Bug for now.

#2 - 07/17/2023 02:27 AM - Derek Fong

After doing some more testing on this, I also get the results you reported, i.e., nothing gets logged to py_errors.log when you initially unlock a domain

from the DNSBL. Where I do get the error is when I subsequently re-lock the domain back into the DNSBL. From then on, any subsequent lock/unlock

operation triggers the log message to py_errors.log. I initially suspected this had to do with wildcard blocking enabled but I observe this behaviour

regardless of its setting.
